package org.itqop.chatit.mixins;

import com.mojang.brigadier.CommandDispatcher;
import net.minecraft.commands.CommandSourceStack;
import org.itqop.chatit.commands.ChatITCommand;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Inject;
import org.spongepowered.asm.mixin.injection.callback.CallbackInfo;

@Mixin(net.minecraft.server.commands.MsgCommand.class)
public abstract class MsgCommand {

    @Inject(method = "register", at = @At("HEAD"), cancellable = true)
    private static void onRegister(CommandDispatcher<CommandSourceStack> dispatcher, CallbackInfo ci) {
        ChatITCommand.registerPrivateMessageCommand(dispatcher, "tell");
        ChatITCommand.registerPrivateMessageCommand(dispatcher, "w");
        ChatITCommand.registerPrivateMessageCommand(dispatcher, "msg");

        ci.cancel();
    }
}
